View Issue Details

IDProjectCategoryView StatusLast Update
0033025Open CASCADEOCCT:Codingpublic2022-07-02 15:34
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0033025: Coding - get rid of unused Standard_TooManyUsers class
DescriptionThis class is not used in OCCT and Products. Let's remove it from the code base.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2022-06-22 19:00

administrator   ~0109181

Branch CR33025 has been created by aml.

SHA-1: 5d72104b9f0a1710a2e14ea090e5b66994a0317d


Detailed log of new commits:

Author: aml
Date: Wed Jun 22 18:59:47 2022 +0300

    0033025: Coding - get rid of unused Standard_TooManyUsers class

aml

2022-06-23 06:27

developer   ~0109184

Dear Kirill,

Could you please check CR33025 in OCCT and Products repositories?

Jenkins job is:
http://jenkins-test-occt.nnov.opencascade.com/view/CR33025-CR33025-aml/view/ALL/

smoskvin

2022-06-24 18:13

administrator   ~0109231

Conflict with the CR33022 branch in the Standard_TooManyUsers.hxx file

git

2022-06-27 07:03

administrator   ~0109261

Branch CR33025 has been updated forcibly by aml.

SHA-1: 6bf38f219b44447fad884f24a6bfcfb359e4f694

aml

2022-06-27 09:39

developer   ~0109266

Dear Kirill,

I've updated the patch. Please take a look. Jenkins job is:
http://jenkins-test-occt/view/CR33025-CR33025-aml/view/ALL/

bugmaster

2022-07-02 15:20

administrator   ~0109485

Combination -
OCCT branch : IR-2022-07-01
master SHA - e01ce0cd52b37150679c833d1db2cc5edd620341
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-07-01 SHA - 78f14e59f6cde821eed22399cb05bb1295820b58
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18877.730000000698 / 18881.360000000743 [-0.02%]
Products
Total CPU difference: 11831.730000000112 / 11827.420000000122 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 20719.265625 / 20729.6875 [-0.05%]
Products
Total CPU difference: 13368.265625 / 13360.71875 [+0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-07-02 15:33

administrator   ~0109498

Branch CR33025 has been deleted by mnt.

SHA-1: 6bf38f219b44447fad884f24a6bfcfb359e4f694

Related Changesets

occt: master 6bf38f21

2022-06-22 18:59:47

aml

Details Diff
0033025: Coding - get rid of unused Standard_TooManyUsers class Affected Issues
0033025
mod - src/Standard/FILES Diff File
rm - src/Standard/Standard_TooManyUsers.hxx Diff File

occt-products: master 06a1a900

2022-06-22 19:01:55

aml

Details Diff
0033025: Coding - get rid of unused Standard_TooManyUsers class Affected Issues
0033025
mod - samples/swig/TKernel.i Diff File

Issue History

Date Modified Username Field Change
2022-06-22 18:57 aml New Issue
2022-06-22 18:57 aml Assigned To => aml
2022-06-22 19:00 git Note Added: 0109181
2022-06-22 19:03 aml Description Updated
2022-06-23 06:27 aml Assigned To aml => kgv
2022-06-23 06:27 aml Status new => resolved
2022-06-23 06:27 aml Steps to Reproduce Updated
2022-06-23 06:27 aml Note Added: 0109184
2022-06-23 09:55 kgv Assigned To kgv => bugmaster
2022-06-23 09:55 kgv Status resolved => reviewed
2022-06-23 09:55 kgv Test case number => N/A
2022-06-24 18:13 smoskvin Assigned To bugmaster => aml
2022-06-24 18:13 smoskvin Status reviewed => assigned
2022-06-24 18:13 smoskvin Note Added: 0109231
2022-06-27 07:03 git Note Added: 0109261
2022-06-27 09:39 aml Assigned To aml => kgv
2022-06-27 09:39 aml Status assigned => resolved
2022-06-27 09:39 aml Note Added: 0109266
2022-06-27 10:00 kgv Assigned To kgv => bugmaster
2022-06-27 10:00 kgv Status resolved => reviewed
2022-07-02 15:20 bugmaster Note Added: 0109485
2022-07-02 15:23 aml Changeset attached => occt-products master 06a1a900
2022-07-02 15:23 aml Assigned To bugmaster => aml
2022-07-02 15:23 aml Status reviewed => verified
2022-07-02 15:23 aml Resolution open => fixed
2022-07-02 15:26 aml Changeset attached => occt master 6bf38f21
2022-07-02 15:33 git Note Added: 0109498